* {
    box-sizing: border-box;
    background-color: rgb(134, 183, 247);
    margin: 0;
    padding: 0;
}

.currentImg {
    display: block;
    margin: 0 auto;
}

.forecastImg {
    display: block;
}

.searchBar {
    padding: 10px;
}

.title {
    display: inline;
    margin-left: 15px;
    margin-right: 20px;
}

#searchInputForm {
    display: inline;
    font-size: 25px;
    float: right;
}

/* #searchInputForm > input { */
    /* width: 300px;
    font-size: 16px;
    padding: 7px; */
    /* border: none;
    border-bottom: 1px solid rgb(56, 89, 199); */
    /* background: none; */
    /* margin-right: 0; */
/* } */

#searchInputForm > input:focus {
    outline: none;
}

/* #searchInputForm > button { */
    /* width: 100px;
    font-size: 16px;
    cursor: pointer; */
    /* background-color: rgb(56, 89, 199); */
    /* color: white; */
    /* padding: 7px;
    border: none;
    border-radius: 5px;
    margin-left: 0;
    margin-right: 20px; */
/* } */

#searchInputForm > button:focus {
    outline: none;
}

/* #searchInputForm > input::placeholder {
    background-color: rgb(134, 183, 247);
} */

#weatherDisplay {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* #currentOutputArea {
    text-align: center;
    padding: 10px;
    margin: 15px auto;
} */

#threeDayForecast {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

#threeDayForecastTitle {
    text-align: center;
    padding: 10px;
}

.forecastOutputData {
    max-width: 350px;
    max-height: 350px;
    background-color: whitesmoke;
    padding: 10px;
    /* border: 1px solid rgb(2, 2, 104); */
    border-radius: 15px;
    /* box-shadow: 5px 5px 15px black; */
    margin: 10px;
}

.weatherData {
    background-color: whitesmoke;
    padding: 5px;
}

.forecastDate {
    color: firebrick;
}

footer {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    padding: 20px;
}

/* #weatherAPIlogo {
    float: left;
} */

.copyright {
    text-decoration: none;
    text-align: center;
    color: black;
    padding: 15px;
    margin: 10px;
}

span {
    display: inline-block;
}

@media only screen and (max-width: 700px) {
    .title {
        display: block;
        text-align: center;
        margin: 5px;
    }

    #searchInputForm {
        display: flex;
        flex-direction: column;
        font-size: 18px;
        float: none;
        justify-items: center;
        align-items: center;
    }
    
    #searchInputForm > input {
        width: 250px;
        margin: 5px;
    }
    
    #searchInputForm > button {
        width: 200px;
        margin: 5px;
    }
    
    #currentOutputArea {
        padding: 5px;
        margin: 10px;
    }

    #threeDayForecast {
        flex-direction: column;
    }
        
    .forecastOutputData {
        padding: 5px;
        margin: 10px;
    }
    
    .copyright {
        font-size: 16px;
        padding: 7px;
    }
    
}